xine-lib: xine_event_queue_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_event_queue_s Struct Reference

`#include <xine_internal.h>`

## Data Fields
xine_list_t * | events
pthread_mutex_t | lock
pthread_cond_t | new_event
pthread_cond_t | events_processed
xine_stream_t * | stream
pthread_t * | listener_thread
void * | user_data
xine_event_listener_cb_t | callback
int | callback_running

## Field Documentation

## ◆ callback

xine_event_listener_cb_t xine_event_queue_s::callback

Referenced by listener_loop(), and xine_event_create_listener_thread().

## ◆ callback_running

int xine_event_queue_s::callback_running

Referenced by _x_flush_events_queues(), listener_loop(), and xine_event_new_queue().

## ◆ events

xine_list_t* xine_event_queue_s::events

Referenced by _x_flush_events_queues(), xine_event_dispose_queue(), xine_event_get(), xine_event_new_queue(), xine_event_next(), xine_event_queue_unref_unlock(), xine_event_send(), and xine_event_wait_locked().

## ◆ events_processed

pthread_cond_t xine_event_queue_s::events_processed

Referenced by _x_flush_events_queues(), listener_loop(), xine_event_dispose_queue(), xine_event_new_queue(), and xine_event_queue_unref_unlock().

## ◆ listener_thread

pthread_t* xine_event_queue_s::listener_thread

Referenced by _x_flush_events_queues(), xine_event_create_listener_thread(), xine_event_dispose_queue(), and xine_event_new_queue().

## ◆ lock

pthread_mutex_t xine_event_queue_s::lock

Referenced by _x_flush_events_queues(), listener_loop(), xine_event_dispose_queue(), xine_event_free(), xine_event_get(), xine_event_new_queue(), xine_event_next(), xine_event_queue_unref_unlock(), xine_event_select(), xine_event_send(), xine_event_wait(), and xine_event_wait_locked().

## ◆ new_event

pthread_cond_t xine_event_queue_s::new_event

Referenced by xine_event_dispose_queue(), xine_event_new_queue(), xine_event_queue_unref_unlock(), xine_event_send(), and xine_event_wait_locked().

## ◆ stream

xine_stream_t* xine_event_queue_s::stream

Referenced by xine_event_create_listener_thread(), xine_event_dispose_queue(), and xine_event_new_queue().

## ◆ user_data

void* xine_event_queue_s::user_data

Referenced by listener_loop(), and xine_event_create_listener_thread().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/xine_internal.h